Package writer2latex.office

# Class TableRangeParser

java.lang.Object
writer2latex.office.TableRangeParser

public class TableRangeParser extends Object
This class parses a space separated list of table ranges. A table range is of the form <sheet name>.<column><row>:<sheet name>.<column><row> where the sheet name is quoted (single quotes) if it contains spaces the column is one or two uppercase letters (A-Z) the row is an integer. The sheet name is currently ignored, and so are any syntax errors

## Constructor Summary

Constructors
Constructor
Description
`TableRangeParser(String s)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getRange()`
`boolean`
`hasMoreRanges()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableRangeParser

public TableRangeParser(String s)

## Method Details

### hasMoreRanges

public boolean hasMoreRanges()

### getRange

public int[] getRange()